LibreOffice: XVndSunStarScriptUrlReference Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Exported Interfaces | List of all members
XVndSunStarScriptUrlReference Interface Referencepublished

represents absolute “vnd.sun.star.script” URL references. More...

`import"XVndSunStarScriptUrlReference.idl";`

Inheritance diagram for XVndSunStarScriptUrlReference:

## Exported Interfaces
interface | XUriReference
| represents the generic features of the URL reference. More...
interface | XVndSunStarScriptUrl
| represents the scheme-specific features of the URL reference. More...

## Additional Inherited Members
Public Member Functions inherited from XUriReference
string | getUriReference ()
| returns the textual representation of the complete URI reference. More...
boolean | isAbsolute ()
| returns whether this URI reference is absolute or relative. More...
string | getScheme ()
| returns the scheme part of this (absolute) URI reference. More...
string | getSchemeSpecificPart ()
| returns the scheme-specific part of this URI reference. More...
boolean | isHierarchical ()
| returns whether this URI reference is hierarchical or opaque, in the sense of RFC&nbsp2396. More...
boolean | hasAuthority ()
| returns whether this URI reference has an authority part. More...
string | getAuthority ()
| returns the authority part of this URI reference. More...
string | getPath ()
| returns the path part of this URI reference. More...
boolean | hasRelativePath ()
| returns whether this URI reference has a relative path. More...
long | getPathSegmentCount ()
| returns the number of path segments of this URI reference. More...
string | getPathSegment ([in] long index)
| returns a given path segment of this URI reference. More...
boolean | hasQuery ()
| returns whether this URI reference has a query part. More...
string | getQuery ()
| returns the query part of this URI reference. More...
boolean | hasFragment ()
| returns whether this URI reference has a fragment part. More...
string | getFragment ()
| returns the fragment part of this URI reference. More...
void | setFragment ([in] string fragment)
| sets the fragment part of this URI reference. More...
void | clearFragment ()
| clears the fragment part of this URI reference. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XVndSunStarScriptUrl
string | getName ()
| returns the name part of this URL. More...
void | setName ([in] string name) raises ( ::com::sun::star::lang::IllegalArgumentException )
| sets the name part of this URL. More...
boolean | hasParameter ([in] string key)
| returns whether this URL has a parameter with a given key. More...
string | getParameter ([in] string key)
| returns the value of a parameter with a given key. More...
void | setParameter ([in] string key, [in] string value) raises ( ::com::sun::star::lang::IllegalArgumentException )
| sets the value of a parameter with a given key. More...

## Detailed Description

represents absolute “vnd.sun.star.script” URL references.

## Exported Interfaces

## ◆ XUriReference

interface XUriReference

represents the generic features of the URL reference.

The behaviour of the methods of this interface will always reflect the fact that the represented URI reference is an absolute “vnd.sun.star.script” URL reference.

## ◆ XVndSunStarScriptUrl

interface XVndSunStarScriptUrl

represents the scheme-specific features of the URL reference.

The documentation for this interface was generated from the following file:

- com/sun/star/uri/XVndSunStarScriptUrlReference.idl